PGP error for Kickshaw and ROfi

Is anyone else getting invalid or corrupt package (PGP signature) for both kickshaw and rofi? My system wants to update but these two won’t. I have thrown pacli at it. I even manually refreshed the PGP keys. The offending keys are not showing so I can’t use gpg --recv-keys command. I did a pacman log, nothing. I will keep digging, but if someone else has ran into this issue and has an answer, please post it. It would be much appreciated. :angry:

it would be useful, post the answer of:

pacman -Syu

Hi @ector yeah I have tried that, and it’s a no go. This is a real head scratcher. I have even tried to force install with no results. But keep coming up with ideas, maybe you’ll come up with something I haven’t tried yet that may work. I even did pacman -Syyu.

What errors are you getting?

1 Like

I do not know if the translator translates wrong, but I asked you to paste the answer, to see the errors of the keys.:pensive:
To date, I do not own the crystal ball :smiley:
boh

Sorry, guys been away from my computer, been under the weather. Yeah, the translator isn’t working to well for you @ector. Darn and here I thought you were a mind reader! Didn’t you read my smoke signals!? :joy: as soon as I can I will paste the output for you guys to see. Every thing else updated but these.

Sorry @ector I reread your post. I’ll get you that result. I shouldn’t try to read posts when I have a migraine. And I have a massive one now.

 archlabs-kickshaw-0...    71.7 KiB   149K/s 00:00 [----------------------] 100%
 archlabs-rofi-1.5.1...   157.2 KiB   231K/s 00:01 [----------------------] 100%
(21/21) checking keys in keyring                   [----------------------] 100%
(21/21) checking package integrity                 [----------------------] 100%
error: archlabs-kickshaw: signature from "Nathaniel Maia <natemaia10@gmail.com>" is unknown trust
:: File /var/cache/pacman/pkg/archlabs-kickshaw-0.5.26-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: archlabs-rofi: signature from "Nathaniel Maia <natemaia10@gmail.com>" is unknown trust
:: File /var/cache/pacman/pkg/archlabs-rofi-1.5.1-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.
sudo pacman --color auto -Syu  3.66s user 4.99s system 3% cpu 4:13.95 total
 sevenday4@gpipili-pc  ~                               1 ↵  123  07:04:32 

And When I say ‘no’ to delete the packages, i’m thrown out completely

see if this post helps.

2 Likes

Thanks @ector I couldn’t find that post. Thank you for finding it for me. For some reason those two keys are not being accepted unless you manualy tell your system to do so.:thinking:

2 Likes

Thanks @ector, was about to link @sevenday4 to that thread.

2 Likes

Yeah, @ector did find that thread, but for some reason I couldn’t. I am beginning to wonder if my devices are revolting against me! May have too specific on what I was looking for. I found later just using PGP errors, and bam there it was. Thanks guys.